<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<project default="jar:jar"
  xmlns:j="jelly:core"
  xmlns:ant="jelly:ant">

  <goal name="runsample" description="run sample" prereqs="native:compile">
   	<mkdir dir="${maven.build.dir}/samples"/>
   	  <javac srcdir="${basedir}/src/sample/java"
         destdir="${maven.build.dir}/samples"
         fork="true"
     />
    <java classname="org.apache.maven.natives.sample.helloworld.HelloWorld" fork="yes">
	<sysproperty key="java.library.path" value="${maven.build.dir}/native"/> 
       <classpath>
         <pathelement path="${maven.build.dest}"/> 
      </classpath> 
    </java>
  </goal>
</project>
